commit:     a57c787dc3d0222359db99aa6ba8825a8eff30e8
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  9 03:19:12 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Aug  9 04:50:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a57c787d

games-strategy/lgeneral: add 1.4.4, various fixes

Notable ebuild changes:
* Add free kukgen WWI campaign
* Remove non-free original Panzer General WW2 campaign wrt bug #720306
* Remove @GENTOO@ seds that have been doing nothing for over 10 years,
  and also the double build that should now allow for working
  cross-compilation (extra build not needed wihout above pg-data)
* Remove duplicate .desktop (keep upstream's)

This version also happen to fix musl issues wrt bug #712346

Closes: https://bugs.gentoo.org/712346
Closes: https://bugs.gentoo.org/720306
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-strategy/lgeneral/Manifest              |  2 +
 games-strategy/lgeneral/lgeneral-1.4.4.ebuild | 66 +++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/games-strategy/lgeneral/Manifest b/games-strategy/lgeneral/Manifest
index d3270c55a4c..166a34ba04b 100644
--- a/games-strategy/lgeneral/Manifest
+++ b/games-strategy/lgeneral/Manifest
@@ -1,2 +1,4 @@
+DIST kukgen-data-1.1.tar.gz 1883592 BLAKE2B 
66e901696210173bccc4cd463aa30cf0bff1e1115597f1a266b1364df229f8749fb324fe12814efef01d73c8360ba6feb96c05b9b2f7ba59d3512445fd268944
 SHA512 
239c59924943627ab7ef3dac3283884cf34c8a299bc8974aae0ddcf180c95dcecd6e1b3eb1c69b5db39dbfa86e027649343df5fdfe655709a3b817f08575a546
 DIST lgeneral-1.4.3.tar.gz 1924730 BLAKE2B 
a0f3be4a50e384b7f6baddc705825f12fc4298eb3b73ac7164c0eb6330dd3e204ceb4218e88a322aa438b2fba1b6204dedab21e528713889a67a84f6b0cff768
 SHA512 
09f8e29b8f6c1af593f56f4d4b7c8437bfa4dfc69bfd0dbe158b7add0bc5ff505fe1ed83bbb8daca17ae43e91ae1a47c5efe2c7700a3ea456505a51d293f1101
+DIST lgeneral-1.4.4.tar.gz 1891302 BLAKE2B 
354ef85f1769881dbddd85dee0772c036c86308dd669c2e4d44d53d6acdafb77f5491e4f1298cd1af8a4eb82d4c87d1fa154c2c355e226ff82ed7248114c449f
 SHA512 
d1028e999c5420477ed02521ea8bd32dd7481067f3b6f25545b367c082cd740e6c950f1383bc0aa33c345a380ed2abb9f2b5285b60d429bdb48972ce5fca34b2
 DIST pg-data.tar.gz 410454 BLAKE2B 
70b325636c43b69b7cdc2f074a0ac49af46db5c60ebeea5ecefaae18169509b05b4c452c34e8b0cd483d3565c54191623ff3eb900f24683252fd8c775ecdf847
 SHA512 
b0df30dd9a9d0652acd8702d601c489e5d3a030854ceeb173d2daa656c00633a78a3f45814da9f4157b86544dec34eda02495742242653c7cdebba5ec9951516

diff --git a/games-strategy/lgeneral/lgeneral-1.4.4.ebuild 
b/games-strategy/lgeneral/lgeneral-1.4.4.ebuild
new file mode 100644
index 00000000000..d1a83d7e6c8
--- /dev/null
+++ b/games-strategy/lgeneral/lgeneral-1.4.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit readme.gentoo-r1 toolchain-funcs xdg
+
+DESCRIPTION="Turn-based strategy game heavily inspired by the classic Panzer 
General"
+HOMEPAGE="http://lgames.sourceforge.net/LGeneral/";
+SRC_URI="
+       mirror://sourceforge/lgeneral/${P}.tar.gz
+       mirror://sourceforge/lgeneral/kukgen-data-1.1.tar.gz"
+
+LICENSE="GPL-2+ CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       media-libs/libsdl[sound,video]
+       media-libs/sdl-mixer
+       virtual/libintl"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-devel/gettext"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.4.3-fix-utf8.patch
+)
+
+src_compile() {
+       emake AR="$(tc-getAR)"
+}
+
+src_install() {
+       default
+
+       keepdir /usr/share/${PN}/{ai_modules,music,terrain}
+
+       # Install the free kukgen WW1 campaign
+       cd ../${PN}-data-* || die
+
+       dodoc docs/README.kukgen
+       newdoc docs/MANUAL MANUAL.kukgen
+
+       insinto /usr/share/${PN}
+       doins -r {campaigns,gfx,maps,nations,scenarios,sounds,units}
+
+       local DISABLE_AUTOFORMATTING=yes
+       local DOC_CONTENTS=\
+"Only the free kukgen WWI campaign has been installed.
+
+If you wish to play the Panzer General (PG) WWII campaign, you need
+to convert the original CD-ROM game data by (for example) running:
+
+       SDL_VIDEODRIVER=dummy \\
+               lgc-pg -s /path/to/cdrom/DAT -d ${EPREFIX}/usr/share/${PN}
+
+See ${EPREFIX}/usr/share/doc/${PF}/README.lgc-pg* for details."
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       # README is redundant with what `make install` says but ensures 
visibility
+       readme.gentoo_print_elog
+}

Reply via email to